#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, x, a;

    scanf("%d%d", &n, &x);

    int maxl = 0, maxd = 0;

    for(int i = 1; i <= n; ++i) {
        scanf("%d", &a);
        if(a < x) maxl = max(maxl, abs(a - x));
        else maxd = max(maxd, abs(a - x));
    }

    int rezultat = 2 * min(maxl, maxd) + max(maxl, maxd);

    printf("%d", rezultat);

    return 0;
}